Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.graphic.view
Class HitInfo.Stroke

    java.lang.Object
      jpicedt.graphic.view.HitInfo
          jpicedt.graphic.view.HitInfo.Stroke

Direct Known Subclasses:
  HitInfo.EnvelopeStroke, HitInfo.HighlighterStroke

Enclosing class:
  HitInfo

public static class HitInfo.Stroke
extends HitInfo

Represent a Hit that occured on an Element. It includes information as of which stroke segment was hit (this may be used by the UI to know where to add new points).

Nested Class Summary

Nested classes inherited from class jpicedt.graphic.view.HitInfo
`HitInfo.Composite, HitInfo.EnvelopeStroke, HitInfo.HighlighterStroke, HitInfo.Interior, HitInfo.Point, HitInfo.Stroke, HitInfo.Text`

Constructor Summary
`HitInfo.Stroke(Element clicked, int clickedSegment, PEMouseEvent mouseEvent)` construct a new HitInfo.Stroke that occured on the stroke of the given Element

Method Summary
`int` | `getClickedSegment()`
`String` | `toString()`

Methods inherited from class jpicedt.graphic.view.HitInfo
`getMouseEvent, getTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HitInfo.Stroke

    public HitInfo.Stroke(Element clicked,
                          int clickedSegment,
                          PEMouseEvent mouseEvent)

  construct a new HitInfo.Stroke that occured on the stroke of the given Element

Method Detail

### getClickedSegment

    public int getClickedSegment()

  Returns:
    return the child on which the mouse-click occured
  Since:
    jPicEdt

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org